object ScalaDemo9 {
  def main(args: Array[String]): Unit = {
    //修改指定的元素：如果我们想要修改某个元素，或者用指定的子序列来替代集合中的某一段元素，可以通过updated()patch()方法来实现
    //updated:修改指定索引位置的元素为指定值
    //patch:修改指定区间的元素值为指定的值
    val s1 = (1 to 5).toSeq
    //修改索引2的值为10
    val s2 = s1.updated(2,10)
    println(s2)
    //从索引1 开始，用子序列Seq(10,20)来替换3个元素并打印
    val s3 = s1.patch(1,Seq(10,20),3)
    println(s3)
  }
}
